Enumerations

# group_widget.h File Reference

Types related to the group widgets. More...

Go to the source code of this file.

## Enumerations
enum | GroupListWidgets { WID_GL_CAPTION, WID_GL_SORT_BY_ORDER, WID_GL_SORT_BY_DROPDOWN, WID_GL_LIST_VEHICLE, WID_GL_LIST_VEHICLE_SCROLLBAR, WID_GL_AVAILABLE_VEHICLES, WID_GL_MANAGE_VEHICLES_DROPDOWN, WID_GL_STOP_ALL, WID_GL_START_ALL, WID_GL_ALL_VEHICLES, WID_GL_DEFAULT_VEHICLES, WID_GL_LIST_GROUP, WID_GL_LIST_GROUP_SCROLLBAR, WID_GL_CREATE_GROUP, WID_GL_DELETE_GROUP, WID_GL_RENAME_GROUP, WID_GL_REPLACE_PROTECTION }
| Widgets of the VehicleGroupWindow class. More...

## Detailed Description

Types related to the group widgets.

Definition in file group_widget.h.

## Enumeration Type Documentation

enum GroupListWidgets

Widgets of the VehicleGroupWindow class.

Enumerator:

  WID_GL_CAPTION | Caption of the window.
  WID_GL_SORT_BY_ORDER | Sort order.
  WID_GL_SORT_BY_DROPDOWN | Sort by dropdown list.
  WID_GL_LIST_VEHICLE | List of the vehicles.
  WID_GL_LIST_VEHICLE_SCROLLBAR | Scrollbar for the list.
  WID_GL_AVAILABLE_VEHICLES | Available vehicles.
  WID_GL_MANAGE_VEHICLES_DROPDOWN | Manage vehicles dropdown list.
  WID_GL_STOP_ALL | Stop all button.
  WID_GL_START_ALL | Start all button.
  WID_GL_ALL_VEHICLES | All vehicles entry.
  WID_GL_DEFAULT_VEHICLES | Default vehicles entry.
  WID_GL_LIST_GROUP | List of the groups.
  WID_GL_LIST_GROUP_SCROLLBAR | Scrollbar for the list.
  WID_GL_CREATE_GROUP | Create group button.
  WID_GL_DELETE_GROUP | Delete group button.
  WID_GL_RENAME_GROUP | Rename group button.
  WID_GL_REPLACE_PROTECTION | Replace protection button.

Definition at line 16 of file group_widget.h.